| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Instance Methods | Properties | List of all members
CameraVideo Class Reference

`#import <CameraVideo.h>`

Inheritance diagram for CameraVideo:
[legend]
Collaboration diagram for CameraVideo:
[legend]

## Instance Methods
(id) | - init
(void) | - start
(void) | - startAsync:
(size_t) | - widthOfPlane:
(size_t) | - heightOfPlane:
(size_t) | - bytesPerRowOfPlane:
(void) | - takePhoto
(void) | - takePhotoViaNotification:
(BOOL) | - setFocus:atPixelCoords:
(unsigned char *) | - frameTimestamp:
(unsigned char *) | - frameTimestamp:ifNewerThanTimestamp:
(BOOL) | - framePlanes:count:timestamp:
(BOOL) | - framePlanes:count:timestamp:ifNewerThanTimestamp:
(void) | - stop
(void) | - dealloc

## Properties
NSString * | iOSDevice
NSString * | captureSessionPreset
AVCaptureDevicePosition | captureDevicePosition
int | captureDeviceIndex
NSString * | captureDeviceIDManufacturer
NSString * | captureDeviceIDName
NSString * | captureDeviceIDModel
NSString * | captureDeviceIDUID
OSType | pixelFormat
BOOL | running
BOOL | pause
id< CameraVideoTookPictureDelegate > | tookPictureDelegate
void * | tookPictureDelegateUserData
size_t | width
size_t | height
size_t | bytesPerRow
size_t | planeCount
BOOL | flipV
BOOL | flipH
BOOL | willSaveNextFrame
UInt64 | timestampsPerSecond
BOOL | multithreaded

## Method Documentation

## ◆ bytesPerRowOfPlane:

- (size_t) bytesPerRowOfPlane: |  | (unsigned int) | plane |

## ◆ dealloc

- (void) dealloc |  |  |

## ◆ framePlanes:count:timestamp:

- (BOOL) framePlanes: |  | (unsigned char **) | bufDataPtrs
count: |  | (size_t) | count
timestamp: |  | (UInt64 *) | timestampOut

## ◆ framePlanes:count:timestamp:ifNewerThanTimestamp:

- (BOOL) framePlanes: |  | (unsigned char **) | bufDataPtrs
count: |  | (size_t) | count
timestamp: |  | (UInt64 *) | timestampOut
ifNewerThanTimestamp: |  | (UInt64) | timestamp

## ◆ frameTimestamp:

- (unsigned char *) frameTimestamp: |  | (UInt64 *) | timestampOut |

## ◆ frameTimestamp:ifNewerThanTimestamp:

- (unsigned char *) frameTimestamp: |  | (UInt64 *) | timestampOut
ifNewerThanTimestamp: |  | (UInt64) | timestamp

## ◆ heightOfPlane:

- (size_t) heightOfPlane: |  | (unsigned int) | plane |

## ◆ init

- (id) init |  |  |

## ◆ setFocus:atPixelCoords:

- (BOOL) setFocus: |  | (AVCaptureFocusMode) | mode
atPixelCoords: |  | (CGPoint) | coords

## ◆ start

- (void) start |  |  |

## ◆ startAsync:

- (void) startAsync: |  | (CameraVideoStartAsyncCompletionBlock) | completion |

## ◆ stop

- (void) stop |  |  |

## ◆ takePhoto

- (void) takePhoto |  |  |

## ◆ takePhotoViaNotification:

- (void) takePhotoViaNotification: |  | (NSNotification *) | notification |

## ◆ widthOfPlane:

- (size_t) widthOfPlane: |  | (unsigned int) | plane |

## Property Documentation

## ◆ bytesPerRow

- (size_t) bytesPerRow
| read nonatomic assign

## ◆ captureDeviceIDManufacturer

- (NSString*) captureDeviceIDManufacturer
| read nonatomic assign

## ◆ captureDeviceIDModel

- (NSString*) captureDeviceIDModel
| read nonatomic assign

## ◆ captureDeviceIDName

- (NSString*) captureDeviceIDName
| read nonatomic assign

## ◆ captureDeviceIDUID

- (NSString*) captureDeviceIDUID
| read write nonatomic copy

## ◆ captureDeviceIndex

- (int) captureDeviceIndex
| read write nonatomic assign

## ◆ captureDevicePosition

- (AVCaptureDevicePosition) captureDevicePosition
| read write nonatomic assign

## ◆ captureSessionPreset

- (NSString*) captureSessionPreset
| read write nonatomic assign

## ◆ flipH

- (BOOL) flipH
| read write nonatomic assign

## ◆ flipV

- (BOOL) flipV
| read write nonatomic assign

## ◆ height

- (size_t) height
| read nonatomic assign

## ◆ iOSDevice

- (NSString*) iOSDevice
| read atomic assign

## ◆ multithreaded

- (BOOL) multithreaded
| read write nonatomic assign

## ◆ pause

- (BOOL) pause
| read write nonatomic assign

## ◆ pixelFormat

- (OSType) pixelFormat
| read write nonatomic assign

## ◆ planeCount

- (size_t) planeCount
| read nonatomic assign

## ◆ running

- (BOOL) running
| read nonatomic assign

## ◆ timestampsPerSecond

- (UInt64) timestampsPerSecond
| read nonatomic assign

## ◆ tookPictureDelegate

- (id<CameraVideoTookPictureDelegate>) tookPictureDelegate
| read write nonatomic assign

## ◆ tookPictureDelegateUserData

- (void*) tookPictureDelegateUserData
| read write nonatomic assign

## ◆ width

- (size_t) width
| read nonatomic assign

## ◆ willSaveNextFrame

- (BOOL) willSaveNextFrame
| read write atomic

The documentation for this class was generated from the following file:

- Source/ARX/ARVideo/AVFoundation/CameraVideo.h